Subject: bug#19494: 25.0.50; infinite loop in readable_event on master branch

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 13 Jul 2021 20:06:18 +0200

Noah Friedman <[email-masked]> writes:

>>Why do you need that code, and in a timer on top of that?  It looks
>>strangely, and probably papers over some bug, either one that existed
>>in the past or maybe even an existing one.  If that bug still exists,
>>a bug report will be appreciated.
>
> It's very old code, circa 1995.  Since it predates the v21 redisplay engine
> rewrite, I have no idea if it's still necessary; I'm testing that now.

This was six years ago -- are you still seeing this issue in more recent
Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no